Window10 -190451.450, CUDA WSL Window Driver: 470.14, CUDA 11.2 Not Working, CUDA driver version is insufficient!

Hi There,

I have Window10-190451.450 and installed CUDA WSL Window Driver: 470.14 from here ( CUDA on WSL | NVIDIA Developer and followed these steps to enable WSL2

  1. Install Windows Subsystem for Linux (WSL) on Windows 10 | Microsoft Docs
  2. CUDA on WSL :: CUDA Toolkit Documentation (nvidia.com)

But getting error
" CUDA driver version is insufficient for CUDA runtime version"

I tried Ubuntu 20.04 and 18.04 LTS both, but same error always. I tried many time cleanly but still same error, not sure what I am missing,

Appreciate quick help on this.

Thanks!

5 Likes